# Volatility Statistics `GET` `https://api.unusualwhales.com/api/stock/{ticker}/volatility/stats` Returns comprehensive volatility statistics for a ticker on a specific date, including implied volatility data, realized volatility data, and their respective high/low values for the past year. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `date` | Market General Trading day | A trading date in ISO format. | | `iv` | Market General Volatility | The implied volatility value. | | `iv_high` | Market General Volatility | The implied volatility value. | | `iv_low` | Market General Volatility | The implied volatility value. | | `iv_rank` | Market General IV Rank | The IV rank value, which represents where current implied volatility stands relative to its historical range. | | `rv` | Market General Volatility | The implied volatility value. | | `rv_high` | Market General Volatility | The implied volatility value. | | `rv_low` | Market General Volatility | The implied volatility value. | | `ticker` | Stock Ticker | The stock ticker. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/volatility/stats" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/volatility/stats", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "date": "2024-01-22", "iv": "0.23", "iv_high": "0.35", "iv_low": "0.18", "iv_rank": "0.45", "rv": "0.21", "rv_high": "0.34", "rv_low": "0.16", "ticker": "AAPL" } } ```